-- ipums-schema.sql

create table main (ID integer primary key, YEARR integer, GQ integer, GQTYPE integer, FARM integer, OWNERSHP integer, VALUE integer, RENT integer, FTOTINC integer, NFAMS integer, NCOUPLES integer, NMOTHERS integer, NFATHERS integer, MOMLOC integer, STEPMOM integer, MOMRULE integer, POPLOC integer, STEPPOP integer, POPRULE integer, SPLOC integer, SPRULE integer, FAMSIZE integer, NCHILD integer, NCHLT5 integer, FAMUNIT integer, ELDCH integer, YNGCH integer, NSIBS integer, RELATE integer, AGE integer, SEX integer, RACE integer, MARST integer, CHBORN integer, BPL integer, SCHOOL integer, EDUCREC integer, SCHLTYPE integer, EMPSTAT integer, LABFORCE integer, OCC1950 integer, OCCSCORE integer, SEI integer, IND1950 integer, CLASSWKR integer, WKSWORK2 integer, HRSWORK2 integer, YRLASTWK integer, WORKEDYR integer, INCTOT integer, INCWAGE integer, INCBUS integer, INCFARM integer, INCSS integer, INCWELFR integer, INCOTHER integer, POVERTY integer, MIGRATE5 integer, MIGPLAC5 integer, MOVEDIN integer, VETSTAT integer, TRANWORK integer);

-- 'Group quarters status'
create table gq (ID integer primary key, DESCRIPTION char(64) not null);
  insert into gq values (0, 'Vacant unit');
  insert into gq values (1, 'HH in 1970 definition, but sampled as larger unit');
  insert into gq values (2, 'Additional hhs under 1990 definition');
  insert into gq values (3, 'Institution');
  insert into gq values (4, 'Other group quarters');
  insert into gq values (5, 'Boarders and lodgers in 1900');
  insert into gq values (6, 'Fragment');
 
-- 'Group quarters type--general'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=GQTYPE
create table gqtypeg (ID integer primary key, DESCRIPTION char(64) not null);
  insert into gqtypeg values (0, 'NA (household)');
  insert into gqtypeg values (1, 'Institution (1990)');
  insert into gqtypeg values (2, 'Correctional institutions');
  insert into gqtypeg values (3, 'Mental institutions');
  insert into gqtypeg values (4, 'Other institutions');
  insert into gqtypeg values (5, 'Non-institutional GQ (1940, 1950, 1990)');
  insert into gqtypeg values (6, 'Military');
  insert into gqtypeg values (7, 'College dormitory');
  insert into gqtypeg values (8, 'Rooming house');
  insert into gqtypeg values (9, 'Other non-instit GQ and unknown');
 
-- 'Farm status'
create table farm (ID integer primary key, DESCRIPTION char(64) not null);
  insert into farm values (1, 'Non-Farm');
  insert into farm values (2, 'Farm');
 
-- 'Ownership of dwelling--general'
create table ownershp (ID integer primary key, DESCRIPTION char(64) not null);
  insert into ownershp values (0, 'N/A');
  insert into ownershp values (1, 'Owned or being bought (loan)');
  insert into ownershp values (2, 'Rented');
 
-- 'Relationship to hh head--general'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=RELATE
create table relate (ID integer primary key, DESCRIPTION char(64) not null);
  insert into relate values (1, 'Head/Householder');
  insert into relate values (2, 'Spouse');
  insert into relate values (3, 'Child');
  insert into relate values (4, 'Child-in-law');
  insert into relate values (5, 'Parent');
  insert into relate values (6, 'Parent-in-Law');
  insert into relate values (7, 'Sibling');
  insert into relate values (8, 'Sibling-in-Law');
  insert into relate values (9, 'Grandchild');
  insert into relate values (10, 'Other relatives');
  insert into relate values (11, 'Partner, friend, visitor');
  insert into relate values (12, 'Other non-relatives');
  insert into relate values (13, 'Institutional inmates');
 
-- 'Sex'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=SEX
create table sex (ID integer primary key, DESCRIPTION char(64) not null);
  insert into sex values (1, 'Male');
  insert into sex values (2, 'Female');
 
-- 'Race--general'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=RACE
create table race (ID integer primary key, DESCRIPTION char(64) not null);
  insert into race values (1, 'White');
  insert into race values (2, 'Black/Negro');
  insert into race values (3, 'American Indian');
  insert into race values (4, 'Chinese');
  insert into race values (5, 'Japanese');
  insert into race values (6, 'Other Asian or Pacific');
  insert into race values (7, 'Other race, nec');
 
-- 'Marital status'
create table marst (ID integer primary key, DESCRIPTION char(64) not null);
  insert into marst values (1, 'Married, spouse present');
  insert into marst values (2, 'Married, spouse absent');
  insert into marst values (3, 'Separated');
  insert into marst values (4, 'Divorced');
  insert into marst values (5, 'Widowed');
  insert into marst values (6, 'Never married/single');
 
-- 'Children ever born'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=CHBORN
create table chborn (ID integer primary key, DESCRIPTION char(64) not null);
  insert into chborn values (0, 'N/A');
  insert into chborn values (1, 'No children');
  insert into chborn values (2, '1 child');
  insert into chborn values (3, '2  children');
  insert into chborn values (4, '3');
  insert into chborn values (5, '4');
  insert into chborn values (6, '5');
  insert into chborn values (7, '6');
  insert into chborn values (8, '7');
  insert into chborn values (9, '8');
  insert into chborn values (10, '9');
  insert into chborn values (11, '10 children');
  insert into chborn values (12, '11');
  insert into chborn values (13, '12 (12+ 1960-1990)');
  insert into chborn values (14, '13');
  insert into chborn values (15, '14');
  insert into chborn values (16, '15');
  insert into chborn values (17, '16');
  insert into chborn values (18, '17');
  insert into chborn values (19, '18');
  insert into chborn values (20, '19');
  insert into chborn values (21, '20');
  insert into chborn values (22, '21');
  insert into chborn values (23, '22');
  insert into chborn values (24, '23');
  insert into chborn values (25, '24');
  insert into chborn values (26, '25 (25+ 1950)');
  insert into chborn values (27, '26');
  insert into chborn values (28, '27');
  insert into chborn values (31, '30');
  insert into chborn values (34, '33');
  insert into chborn values (51, '50');
  insert into chborn values (57, '56');
  insert into chborn values (61, '60');
 
-- 'Birthplace--general'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=BPL
create table bpl (ID integer primary key, DESCRIPTION char(64) not null);
  insert into bpl values (1, 'Alabama');
  insert into bpl values (2, 'Alaska');
  insert into bpl values (4, 'Arizona');
  insert into bpl values (5, 'Arkansas');
  insert into bpl values (6, 'California');
  insert into bpl values (8, 'Colorado');
  insert into bpl values (9, 'Connecticut');
  insert into bpl values (10, 'Delaware');
  insert into bpl values (11, 'District of Columbia');
  insert into bpl values (12, 'Florida');
  insert into bpl values (13, 'Georgia');
  insert into bpl values (15, 'Hawaii');
  insert into bpl values (16, 'Idaho');
  insert into bpl values (17, 'Illinois');
  insert into bpl values (18, 'Indiana');
  insert into bpl values (19, 'Iowa');
  insert into bpl values (20, 'Kansas');
  insert into bpl values (21, 'Kentucky');
  insert into bpl values (22, 'Louisiana');
  insert into bpl values (23, 'Maine');
  insert into bpl values (24, 'Maryland');
  insert into bpl values (25, 'Massachusetts');
  insert into bpl values (26, 'Michigan');
  insert into bpl values (27, 'Minnesota');
  insert into bpl values (28, 'Mississippi');
  insert into bpl values (29, 'Missouri');
  insert into bpl values (30, 'Montana');
  insert into bpl values (31, 'Nebraska');
  insert into bpl values (32, 'Nevada');
  insert into bpl values (33, 'New Hampshire');
  insert into bpl values (34, 'New Jersey');
  insert into bpl values (35, 'New Mexico');
  insert into bpl values (36, 'New York');
  insert into bpl values (37, 'North Carolina');
  insert into bpl values (38, 'North Dakota');
  insert into bpl values (39, 'Ohio');
  insert into bpl values (40, 'Oklahoma');
  insert into bpl values (41, 'Oregon');
  insert into bpl values (42, 'Pennsylvania');
  insert into bpl values (44, 'Rhode Island');
  insert into bpl values (45, 'South Carolina');
  insert into bpl values (46, 'South Dakota');
  insert into bpl values (47, 'Tennessee');
  insert into bpl values (48, 'Texas');
  insert into bpl values (49, 'Utah');
  insert into bpl values (50, 'Vermont');
  insert into bpl values (51, 'Virginia');
  insert into bpl values (53, 'Washington');
  insert into bpl values (54, 'West Virginia');
  insert into bpl values (55, 'Wisconsin');
  insert into bpl values (56, 'Wyoming');
  insert into bpl values (90, 'Native American');
  insert into bpl values (99, 'United States, ns');
  insert into bpl values (100, 'American Samoa');
  insert into bpl values (105, 'Guam');
  insert into bpl values (110, 'Puerto Rico');
  insert into bpl values (115, 'US Virgin Islands');
  insert into bpl values (120, 'Other US Possessions');
  insert into bpl values (150, 'Canada');
  insert into bpl values (160, 'Atlantic Islands');
  insert into bpl values (199, 'North America, ns');
  insert into bpl values (200, 'Mexico');
  insert into bpl values (210, 'Central America');
  insert into bpl values (250, 'Cuba');
  insert into bpl values (260, 'West Indies');
  insert into bpl values (300, 'South America');
  insert into bpl values (400, 'Denmark');
  insert into bpl values (401, 'Finland');
  insert into bpl values (402, 'Iceland');
  insert into bpl values (403, 'Lapland');
  insert into bpl values (404, 'Norway');
  insert into bpl values (405, 'Sweden');
  insert into bpl values (410, 'England');
  insert into bpl values (411, 'Scotland');
  insert into bpl values (412, 'Wales');
  insert into bpl values (413, 'United Kingdom, ns');
  insert into bpl values (414, 'Ireland');
  insert into bpl values (419, 'Northern Europe, ns');
  insert into bpl values (420, 'Belgium');
  insert into bpl values (421, 'France');
  insert into bpl values (422, 'Liechtenstein');
  insert into bpl values (423, 'Luxembourg');
  insert into bpl values (424, 'Monaco');
  insert into bpl values (425, 'Netherlands');
  insert into bpl values (426, 'Switerland');
  insert into bpl values (429, 'Western Europe, ns');
  insert into bpl values (430, 'Albania');
  insert into bpl values (431, 'Andorra');
  insert into bpl values (432, 'Gibraltar');
  insert into bpl values (433, 'Greece');
  insert into bpl values (434, 'Italy');
  insert into bpl values (435, 'Malta');
  insert into bpl values (436, 'Portugal');
  insert into bpl values (437, 'San Marino');
  insert into bpl values (438, 'Spain');
  insert into bpl values (439, 'Vatican City');
  insert into bpl values (440, 'Southern Europe, ns');
  insert into bpl values (450, 'Austria');
  insert into bpl values (451, 'Bulgaria');
  insert into bpl values (452, 'Czechoslovakia');
  insert into bpl values (453, 'Germany');
  insert into bpl values (454, 'Hungary');
  insert into bpl values (455, 'Poland');
  insert into bpl values (456, 'Romania');
  insert into bpl values (457, 'Yugoslavia');
  insert into bpl values (458, 'Central Europe, ns');
  insert into bpl values (459, 'Eastern Europe, ns');
  insert into bpl values (460, 'Estonia');
  insert into bpl values (461, 'Latvia');
  insert into bpl values (462, 'Lithuania');
  insert into bpl values (463, 'Baltic States, ns');
  insert into bpl values (465, 'USSR/"Russia"');
  insert into bpl values (499, 'Europe, ns');
  insert into bpl values (500, 'China');
  insert into bpl values (501, 'Japan');
  insert into bpl values (502, 'Korea');
  insert into bpl values (509, 'East Asia, ns');
  insert into bpl values (510, 'Brunei');
  insert into bpl values (511, 'Cambodia (Kampuchea)');
  insert into bpl values (512, 'Indonesia');
  insert into bpl values (513, 'Laos');
  insert into bpl values (514, 'Malaysia');
  insert into bpl values (515, 'Philippines');
  insert into bpl values (516, 'Singapore');
  insert into bpl values (517, 'Thailand');
  insert into bpl values (518, 'Vietnam');
  insert into bpl values (519, 'Southeast Asia, ns');
  insert into bpl values (520, 'Afghanistan');
  insert into bpl values (521, 'India');
  insert into bpl values (522, 'Iran');
  insert into bpl values (523, 'Maldives');
  insert into bpl values (524, 'Nepal');
  insert into bpl values (530, 'Bahrain');
  insert into bpl values (531, 'Cyprus');
  insert into bpl values (532, 'Iraq');
  insert into bpl values (533, 'Iraq/Saudi Arabia');
  insert into bpl values (534, 'Israel/Palestine');
  insert into bpl values (535, 'Jordan');
  insert into bpl values (536, 'Kuwait');
  insert into bpl values (537, 'Lebanon');
  insert into bpl values (538, 'Oman');
  insert into bpl values (539, 'Qatar');
  insert into bpl values (540, 'Saudi Arabia');
  insert into bpl values (541, 'Syria');
  insert into bpl values (542, 'Turkey');
  insert into bpl values (543, 'United Arab Emirates');
  insert into bpl values (544, 'Yemen Arab Republic (North)');
  insert into bpl values (545, 'Yemen, PDR (South)');
  insert into bpl values (546, 'Persian Gulf States, ns');
  insert into bpl values (547, 'Middle East, ns');
  insert into bpl values (548, 'Southwest Asia, nec/ns');
  insert into bpl values (549, 'Asia Minor, ns');
  insert into bpl values (550, 'South Asia, nec');
  insert into bpl values (599, 'Asia, nec/ns');
  insert into bpl values (600, 'Africa');
  insert into bpl values (700, 'Australia and New Zealand');
  insert into bpl values (710, 'Pacific Islands');
  insert into bpl values (800, 'Antarctica, ns/nec');
  insert into bpl values (900, 'Abroad (unknown) or at sea');
  insert into bpl values (997, 'Missing/Unknown');
  insert into bpl values (999, 'Unknown value');
 
-- 'School attendance'
create table school (ID integer primary key, DESCRIPTION char(64) not null);
  insert into school values (0, 'N/A');
  insert into school values (1, 'No, not in school');
  insert into school values (2, 'Yes, in school');
 
-- 'Educational attainment, recode'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=EDUCREC
create table educrec (ID integer primary key, DESCRIPTION char(64) not null);
  insert into educrec values (0, 'N/A (or none, 1980)');
  insert into educrec values (1, 'None or preschool');
  insert into educrec values (2, 'Grade 1-4');
  insert into educrec values (3, 'Grade 5-8');
  insert into educrec values (4, 'Grade 9');
  insert into educrec values (5, 'Grade 10');
  insert into educrec values (6, 'Grade 11');
  insert into educrec values (7, 'Grade 12');
  insert into educrec values (8, '1 to 3 years of college');
  insert into educrec values (9, '4+ years of college');
 
-- 'Public or private school'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=SCHLTYPE
create table schltype (ID integer primary key, DESCRIPTION char(64) not null);
  insert into schltype values (0, 'N/A');
  insert into schltype values (1, 'Not enrolled');
  insert into schltype values (2, 'Public school');
  insert into schltype values (3, 'Private school (1960,1990)');
  insert into schltype values (4, 'Church-related (1980)');
  insert into schltype values (5, 'Parochial (1970)');
  insert into schltype values (6, 'Other private, 1980');
  insert into schltype values (7, 'Other private, 1970');
 
-- 'Employment status--general'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=EMPSTAT
create table empstat (ID integer primary key, DESCRIPTION char(64) not null);
  insert into empstat values (0, 'N/A');
  insert into empstat values (1, 'Employed');
  insert into empstat values (2, 'Unemployed');
  insert into empstat values (3, 'Not in labor force');
 
-- 'Labor force status'
create table labforce (ID integer primary key, DESCRIPTION char(64) not null);
  insert into labforce values (0, 'N/A');
  insert into labforce values (1, 'No, not in labor force');
  insert into labforce values (2, 'Yes, in labor force');

-- 'Occupation, 1950 basis'
-- http://usa.ipums.org/usa-action/variableDescription.do?mnemonic=OCC1950
create table occ1950 (ID integer primary key, DESCRIPTION char(64) not null);	
  insert into occ1950 values (0, 'Accountants and auditors');
  insert into occ1950 values (1, 'Actors and actresses');
  insert into occ1950 values (2, 'Airplane pilots and navigators');
  insert into occ1950 values (3, 'Architects');
  insert into occ1950 values (4, 'Artists and art teachers');
  insert into occ1950 values (5, 'Athletes');
  insert into occ1950 values (6, 'Authors');
  insert into occ1950 values (7, 'Chemists');
  insert into occ1950 values (8, 'Chiropractors');
  insert into occ1950 values (9, 'Clergymen');
  insert into occ1950 values (10, 'College presidents and deans');
  insert into occ1950 values (12, 'Aricultural sciences-Professors');
  insert into occ1950 values (13, 'Biological sciences-Professors');
  insert into occ1950 values (14, 'Chemistry-Professors');
  insert into occ1950 values (15, 'Economics-Professors');
  insert into occ1950 values (16, 'Engineering-Professors');
  insert into occ1950 values (17, 'Geology and geophysics-Professors');
  insert into occ1950 values (18, 'Mathematics-Professors');
  insert into occ1950 values (19, 'Medical Sciences-Professors');
  insert into occ1950 values (23, 'Physics-Professors');
  insert into occ1950 values (24, 'Psychology-Professors');
  insert into occ1950 values (25, 'Statistics-Professors');
  insert into occ1950 values (26, 'Natural science (nec)-Professors');
  insert into occ1950 values (27, 'Social sciences (nec)-Professors');
  insert into occ1950 values (28, 'Nonscientific subjects-Professors');
  insert into occ1950 values (29, 'Subject not specified-Professors');
  insert into occ1950 values (31, 'Dancers and dancing teachers');
  insert into occ1950 values (32, 'Dentists');
  insert into occ1950 values (33, 'Designers');
  insert into occ1950 values (34, 'Dieticians and nutritionists');
  insert into occ1950 values (35, 'Draftsmen');
  insert into occ1950 values (36, 'Editors and reporters');
  insert into occ1950 values (41, 'Aeronautical-Engineers');
  insert into occ1950 values (42, 'Chemical-Engineers');
  insert into occ1950 values (43, 'Civil-Engineers');
  insert into occ1950 values (44, 'Electrical-Engineers');
  insert into occ1950 values (45, 'Industrial-Engineers');
  insert into occ1950 values (46, 'Mechanical-Engineers');
  insert into occ1950 values (47, 'Metallurgical, metallurgists-Engineers');
  insert into occ1950 values (48, 'Mining-Engineers');
  insert into occ1950 values (49, 'Engineers (nec)');
  insert into occ1950 values (51, 'Entertainers (nec)');
  insert into occ1950 values (52, 'Farm and home management advisors');
  insert into occ1950 values (53, 'Foresters and conservationists');
  insert into occ1950 values (54, 'Funeral directors and embalmers');
  insert into occ1950 values (55, 'Lawyers and judges');
  insert into occ1950 values (56, 'Librarians');
  insert into occ1950 values (57, 'Musicians and music teachers');
  insert into occ1950 values (58, 'Nurses, professional');
  insert into occ1950 values (59, 'Nurses, student professional');
  insert into occ1950 values (61, 'Agricultural scientists');
  insert into occ1950 values (62, 'Biological scientists');
  insert into occ1950 values (63, 'Geologists and geophysicists');
  insert into occ1950 values (67, 'Mathematicians');
  insert into occ1950 values (68, 'Physicists');
  insert into occ1950 values (69, 'Misc natural scientists');
  insert into occ1950 values (70, 'Optometrists');
  insert into occ1950 values (71, 'Osteopaths');
  insert into occ1950 values (72, 'Personnel and labor relations workers');
  insert into occ1950 values (73, 'Pharmacists');
  insert into occ1950 values (74, 'Photographers');
  insert into occ1950 values (75, 'Physicians and surgeons');
  insert into occ1950 values (76, 'Radio operators');
  insert into occ1950 values (77, 'Recreation and group workers');
  insert into occ1950 values (78, 'Religious workers');
  insert into occ1950 values (79, 'Social and welfare workers, except group');
  insert into occ1950 values (81, 'Economists');
  insert into occ1950 values (82, 'Psychologists');
  insert into occ1950 values (83, 'Statisticians and actuaries');
  insert into occ1950 values (84, 'Misc social scientists');
  insert into occ1950 values (91, 'Sports instructors and officials');
  insert into occ1950 values (92, 'Surveyors');
  insert into occ1950 values (93, 'Teachers (nec)');
  insert into occ1950 values (94, 'Medical and dental-technicians');
  insert into occ1950 values (95, 'Testing-technicians');
  insert into occ1950 values (96, 'Technicians (nec)');
  insert into occ1950 values (97, 'Therapists and healers (nec)');
  insert into occ1950 values (98, 'Veterinarians');
  insert into occ1950 values (99, 'Professional, technical & kindred workers (nec)');
  insert into occ1950 values (100, 'Farmers (owners and tenants)');
  insert into occ1950 values (123, 'Farm managers');
  insert into occ1950 values (200, 'Buyers and dept heads, store');
  insert into occ1950 values (201, 'Buyers and shippers, farm products');
  insert into occ1950 values (203, 'Conductors, railroad');
  insert into occ1950 values (204, 'Credit men');
  insert into occ1950 values (205, 'Floormen and floor managers, store');
  insert into occ1950 values (210, 'Inspectors, public administration');
  insert into occ1950 values (230, 'Managers & superintendants, building');
  insert into occ1950 values (240, 'Officers, pilots, pursers and engineers, ship');
  insert into occ1950 values (250, 'Officials & administratators (nec), public administration');
  insert into occ1950 values (260, 'Officials, lodge, society, union, etc');
  insert into occ1950 values (270, 'Postmasters');
  insert into occ1950 values (280, 'Purchasing agents and buyers (nec)');
  insert into occ1950 values (290, 'Managers, officials, and proprietors (nec)');
  insert into occ1950 values (300, 'Agents (nec)');
  insert into occ1950 values (301, 'Attendants and assistants, library');
  insert into occ1950 values (302, 'Attendants, physicians and dentists office');
  insert into occ1950 values (304, 'Baggagemen, transportation');
  insert into occ1950 values (305, 'Bank tellers');
  insert into occ1950 values (310, 'Bookkeepers');
  insert into occ1950 values (320, 'Cashiers');
  insert into occ1950 values (321, 'Collectors, bill and account');
  insert into occ1950 values (322, 'Dispatchers and starters, vehicle');
  insert into occ1950 values (325, 'Express messengers and railway mail clerks');
  insert into occ1950 values (335, 'Mail carriers');
  insert into occ1950 values (340, 'Messengers and office boys');
  insert into occ1950 values (341, 'Office machine operators');
  insert into occ1950 values (342, 'Shipping and receiving clerks');
  insert into occ1950 values (350, 'Stenographers, typists, and secretaries');
  insert into occ1950 values (360, 'Telegraph messengers');
  insert into occ1950 values (365, 'Telegraph operators');
  insert into occ1950 values (370, 'Telephone operators');
  insert into occ1950 values (380, 'Ticket, station, and express agents');
  insert into occ1950 values (390, 'Clerical and kindred workers (nec)');
  insert into occ1950 values (400, 'Advertising agents and salesmen');
  insert into occ1950 values (410, 'Auctioneers');
  insert into occ1950 values (420, 'Demonstrators');
  insert into occ1950 values (430, 'Hucksters and peddlers');
  insert into occ1950 values (450, 'Insurance agents and brokers');
  insert into occ1950 values (460, 'Newsboys');
  insert into occ1950 values (470, 'Real estate agents and brokers');
  insert into occ1950 values (480, 'Stock and bond salesmen');
  insert into occ1950 values (490, 'Salesmen and sales clerks (nec)');
  insert into occ1950 values (500, 'Bakers');
  insert into occ1950 values (501, 'Blacksmiths');
  insert into occ1950 values (502, 'Bookbinders');
  insert into occ1950 values (503, 'Boilermakers');
  insert into occ1950 values (504, 'Brickmasons,stonemasons, and tile setters');
  insert into occ1950 values (505, 'Cabinetmakers');
  insert into occ1950 values (510, 'Carpenters');
  insert into occ1950 values (511, 'Cement and concrete finishers');
  insert into occ1950 values (512, 'Compositors and typesetters');
  insert into occ1950 values (513, 'Cranemen,derrickmen, and hoistmen');
  insert into occ1950 values (514, 'Decorators and window dressers');
  insert into occ1950 values (515, 'Electricians');
  insert into occ1950 values (520, 'Electrotypers and stereotypers');
  insert into occ1950 values (521, 'Engravers, except engravers');
  insert into occ1950 values (522, 'Excavating, grading, and road machinery operators');
  insert into occ1950 values (523, 'Foremen (nec)');
  insert into occ1950 values (524, 'Forgemen and hammermen');
  insert into occ1950 values (525, 'Furriers');
  insert into occ1950 values (530, 'Glaziers');
  insert into occ1950 values (531, 'Heat treaters, annealers, temperers');
  insert into occ1950 values (532, 'Inspectors, scalers, and graders log and lumber');
  insert into occ1950 values (533, 'Inspectors (nec)');
  insert into occ1950 values (534, 'Jewelers, watchmakers, goldsmiths, and silversmiths');
  insert into occ1950 values (535, 'Job setters, metal');
  insert into occ1950 values (540, 'Linemen and servicemen, telegraph, telephone, & power');
  insert into occ1950 values (541, 'Locomotive engineers');
  insert into occ1950 values (542, 'Locomotive firemen');
  insert into occ1950 values (543, 'Loom fixers');
  insert into occ1950 values (544, 'Machinists');
  insert into occ1950 values (545, 'Airplane-mechanics and repairmen');
  insert into occ1950 values (550, 'Automobile-mechanics and repairmen');
  insert into occ1950 values (551, 'Office machine-mechanics and repairmen');
  insert into occ1950 values (552, 'Radio and television-mechanics and repairmen');
  insert into occ1950 values (553, 'Railroad and car shop-mechanics and repairmen');
  insert into occ1950 values (554, 'Mechanics and repairmen (nec)');
  insert into occ1950 values (555, 'Millers, grain, flour, feed, etc');
  insert into occ1950 values (560, 'Millwrights');
  insert into occ1950 values (561, 'Molders, metal');
  insert into occ1950 values (562, 'Motion picture projectionists');
  insert into occ1950 values (563, 'Opticians and lens grinders and polishers');
  insert into occ1950 values (564, 'Painters, construction and maintenance');
  insert into occ1950 values (565, 'Paperhangers');
  insert into occ1950 values (570, 'Pattern and model makers, except paper');
  insert into occ1950 values (571, 'Photoengravers & lithographers');
  insert into occ1950 values (572, 'Piano and organ tuners and repairmen');
  insert into occ1950 values (573, 'Plasterers');
  insert into occ1950 values (574, 'Plumbers and pipe fitters');
  insert into occ1950 values (575, 'Pressmen and plate printers, printing');
  insert into occ1950 values (580, 'Rollers and roll hands, metal');
  insert into occ1950 values (581, 'Roofers and slaters');
  insert into occ1950 values (582, 'Shoemakers and repairers, except factory');
  insert into occ1950 values (583, 'Stationary engineers');
  insert into occ1950 values (584, 'Stone cutters and stone carvers');
  insert into occ1950 values (585, 'Structural metal workers');
  insert into occ1950 values (590, 'Tailors and tailoresses');
  insert into occ1950 values (591, 'Tinsmiths, coppersmiths, and sheet metal workers');
  insert into occ1950 values (592, 'Tool makers, and die makers and setters');
  insert into occ1950 values (593, 'Upholsterers');
  insert into occ1950 values (594, 'Craftsmen and kindred workers (nec)');
  insert into occ1950 values (595, 'Members of the armed services');
  insert into occ1950 values (600, 'Auto mechanics apprentice');
  insert into occ1950 values (601, 'Bricklayers and masons apprentice');
  insert into occ1950 values (602, 'Carpenters apprentice');
  insert into occ1950 values (603, 'Electricians apprentice');
  insert into occ1950 values (604, 'Machinists and toolmakers apprentice');
  insert into occ1950 values (605, 'Mechanics, except auto apprentice');
  insert into occ1950 values (610, 'Plumbers and and pipe fitters apprentice');
  insert into occ1950 values (611, 'Apprentices, building trades (nec)');
  insert into occ1950 values (612, 'Apprentices, metalworking trades (nec)');
  insert into occ1950 values (613, 'Apprentices, printing  trades');
  insert into occ1950 values (614, 'Apprentices, other specified trades');
  insert into occ1950 values (615, 'Apprentices, trade not specified');
  insert into occ1950 values (620, 'Asbestos and insulation workers');
  insert into occ1950 values (621, 'Attendants, auto service and parking');
  insert into occ1950 values (622, 'Blasters and powdermen');
  insert into occ1950 values (623, 'Boatmen, canalmen, and lock keepers');
  insert into occ1950 values (624, 'Brakemen, railroad');
  insert into occ1950 values (625, 'Bus drivers');
  insert into occ1950 values (630, 'Chainmen, rodmen, and axmen, surveying');
  insert into occ1950 values (631, 'Conductors, bus & street railway');
  insert into occ1950 values (632, 'Deliverymen and routemen');
  insert into occ1950 values (633, 'Dressmakers and seamstresses except factory');
  insert into occ1950 values (634, 'Dyers');
  insert into occ1950 values (635, 'Filers, grinders, and polishers, metal');
  insert into occ1950 values (640, 'Fruit, nut, and vegetable graders, and packers, except facto');
  insert into occ1950 values (641, 'Furnacemen, smeltermen and pourers');
  insert into occ1950 values (642, 'Heaters, metal');
  insert into occ1950 values (643, 'Laundry and dry cleaning Operatives');
  insert into occ1950 values (644, 'Meat cutters, except slaughter and packing house');
  insert into occ1950 values (645, 'Milliners');
  insert into occ1950 values (650, 'Mine operatives and laborers');
  insert into occ1950 values (660, 'Motormen, mine, factory, logging camp, etc');
  insert into occ1950 values (661, 'Motormen, street, subway, and elevated railway');
  insert into occ1950 values (662, 'Oilers and greaser, except auto');
  insert into occ1950 values (670, 'Painters, except construction or maintenance');
  insert into occ1950 values (671, 'Photographic process workers');
  insert into occ1950 values (672, 'Power station operators');
  insert into occ1950 values (673, 'Sailors and deck hands');
  insert into occ1950 values (674, 'Sawyers');
  insert into occ1950 values (675, 'Spinners, textile');
  insert into occ1950 values (680, 'Stationary firemen');
  insert into occ1950 values (681, 'Switchmen, railroad');
  insert into occ1950 values (682, 'Taxicab drivers and chauffeurs');
  insert into occ1950 values (683, 'Truck and tractor drivers');
  insert into occ1950 values (684, 'Weavers, textile');
  insert into occ1950 values (685, 'Welders and flame cutters');
  insert into occ1950 values (690, 'Operative and kindred workers (nec)');
  insert into occ1950 values (700, 'Housekeepers, private household');
  insert into occ1950 values (710, 'Laundressses, private household');
  insert into occ1950 values (720, 'Private household workers (nec)');
  insert into occ1950 values (730, 'Attendants, hospital and other institution');
  insert into occ1950 values (731, 'Attendants, professional and personal service (nec)');
  insert into occ1950 values (732, 'Attendants, recreation and amusement');
  insert into occ1950 values (740, 'Barbers, beauticians, and manicurists');
  insert into occ1950 values (750, 'Bartenders');
  insert into occ1950 values (751, 'Bootblacks');
  insert into occ1950 values (752, 'Boarding and lodging house keepers');
  insert into occ1950 values (753, 'Charwomen and cleaners');
  insert into occ1950 values (754, 'Cooks, except private household');
  insert into occ1950 values (760, 'Counter and fountain workers');
  insert into occ1950 values (761, 'Elevator operators');
  insert into occ1950 values (762, 'Firemen, fire protection');
  insert into occ1950 values (763, 'Guards, watchmen, and doorkeepers');
  insert into occ1950 values (764, 'Housekeepers and stewards, except private household');
  insert into occ1950 values (770, 'Janitors and sextons');
  insert into occ1950 values (771, 'Marshals and constables');
  insert into occ1950 values (772, 'Midwives');
  insert into occ1950 values (773, 'Policemen and detectives');
  insert into occ1950 values (780, 'Porters');
  insert into occ1950 values (781, 'Practical nurses');
  insert into occ1950 values (782, 'Sheriffs and bailiffs');
  insert into occ1950 values (783, 'Ushers, recreation and amusement');
  insert into occ1950 values (784, 'Waiters and waitresses');
  insert into occ1950 values (785, 'Watchmen (crossing) and bridge tenders');
  insert into occ1950 values (790, 'Service workers, except private household (nec)');
  insert into occ1950 values (810, 'Farm foremen');
  insert into occ1950 values (820, 'Farm laborers, wage workers');
  insert into occ1950 values (830, 'Farm laborers, unpaid family workers');
  insert into occ1950 values (840, 'Farm service laborers, self-employed');
  insert into occ1950 values (910, 'Fishermen and oystermen');
  insert into occ1950 values (920, 'Garage laborers and car washers and greasers');
  insert into occ1950 values (930, 'Gardeners, except farm, and groundskeepers');
  insert into occ1950 values (940, 'Longshoremen and stevedores');
  insert into occ1950 values (950, 'Lumbermen, raftsmen, and woodchoppers');
  insert into occ1950 values (960, 'Teamsters');
  insert into occ1950 values (970, 'Laborers (nec)');
  insert into occ1950 values (980, 'Keeps house/house work/housewife');
  insert into occ1950 values (981, 'Imputed keeping house (1860-1880)');
  insert into occ1950 values (982, 'At home/ helps in home');
  insert into occ1950 values (983, 'At school');
  insert into occ1950 values (984, 'Retired');
  insert into occ1950 values (985, 'Unemployed/ without occ');
  insert into occ1950 values (986, 'Invalid/sick/disabled');
  insert into occ1950 values (987, 'Inmate/prisoner');
  insert into occ1950 values (988, 'Ration Indian');
  insert into occ1950 values (990, 'Landlord');
  insert into occ1950 values (991, 'Capitalist/gentleman');
  insert into occ1950 values (992, 'Child labor-farm');
  insert into occ1950 values (993, 'Child labor-domestic');
  insert into occ1950 values (994, 'Child labor-other');
  insert into occ1950 values (995, 'Other non-occupation');
  insert into occ1950 values (997, 'Occupation missing/unknown');
  insert into occ1950 values (999, 'N/A (blank)');

-- 'Industry, 1950 basis'
create table ind1950 (ID integer primary key, DESCRIPTION char(64) not null); 
  insert into ind1950 values (0, 'N/A');
  insert into ind1950 values (1, 'Ration Indians');
  insert into ind1950 values (2, 'Prisoners');
  insert into ind1950 values (3, 'Identified housework');
  insert into ind1950 values (105, 'Agriculture');
  insert into ind1950 values (116, 'Forestry');
  insert into ind1950 values (126, 'Fisheries');
  insert into ind1950 values (206, 'Metal mining');
  insert into ind1950 values (216, 'Coal mining');
  insert into ind1950 values (226, 'Crude petroleum and natural gas extraction');
  insert into ind1950 values (236, 'Nonmettalic  mining and quarrying, except fuel');
  insert into ind1950 values (246, 'Construction');
  insert into ind1950 values (306, 'Logging');
  insert into ind1950 values (307, 'Sawmills, planing mills, and mill work');
  insert into ind1950 values (308, 'Misc wood products');
  insert into ind1950 values (309, 'Furniture and fixtures');
  insert into ind1950 values (316, 'Glass and glass products');
  insert into ind1950 values (317, 'Cement, concrete, gypsum and plaster products');
  insert into ind1950 values (318, 'Structural clay products');
  insert into ind1950 values (319, 'Pottery and related prods');
  insert into ind1950 values (326, 'Misc nonmetallic mineral and stone products');
  insert into ind1950 values (336, 'Blast furnaces, steel works, & rolling mills');
  insert into ind1950 values (337, 'Other primary iron and steel industries');
  insert into ind1950 values (338, 'Primary nonferrous industries');
  insert into ind1950 values (346, 'Fabricated steel products');
  insert into ind1950 values (347, 'Fabricated nonferrous metal products');
  insert into ind1950 values (348, 'Not specified metal industries');
  insert into ind1950 values (356, 'Agricultural machinery and tractors');
  insert into ind1950 values (357, 'Office and store machines');
  insert into ind1950 values (358, 'Misc machinery');
  insert into ind1950 values (367, 'Electrical machinery, equipment and supplies');
  insert into ind1950 values (376, 'Motor vehicles and motor vehicle equipment');
  insert into ind1950 values (377, 'Aircraft and parts');
  insert into ind1950 values (378, 'Ship and boat building and repairing');
  insert into ind1950 values (379, 'Railroad and misc transportation equipment');
  insert into ind1950 values (386, 'Professional equipment');
  insert into ind1950 values (387, 'Photographic equipment and supplies');
  insert into ind1950 values (388, 'Watches, clocks, and clockwork-operated devices');
  insert into ind1950 values (399, 'Misc manufacturing industries');
  insert into ind1950 values (406, 'Meat products');
  insert into ind1950 values (407, 'Dairy products');
  insert into ind1950 values (408, 'Canning and preserving fruits, vegetables, and seafoods');
  insert into ind1950 values (409, 'Grain-mill products');
  insert into ind1950 values (416, 'Bakery products');
  insert into ind1950 values (417, 'Confectionary and related products');
  insert into ind1950 values (418, 'Beverage industries');
  insert into ind1950 values (419, 'Misc food preparations and kindred products');
  insert into ind1950 values (426, 'Not specified food industries');
  insert into ind1950 values (429, 'Tobacco manufactures');
  insert into ind1950 values (436, 'Knitting mills');
  insert into ind1950 values (437, 'Dyeing and finishing textiles, except knit goods');
  insert into ind1950 values (438, 'Carpets, rugs, and other floor coverings');
  insert into ind1950 values (439, 'Yarn, thread, and fabric');
  insert into ind1950 values (446, 'Misc textile mill products');
  insert into ind1950 values (448, 'Apparel and accessories');
  insert into ind1950 values (449, 'Misc fabricated textile products');
  insert into ind1950 values (456, 'Pulp, paper, and paper-board mills');
  insert into ind1950 values (457, 'Paperboard containers and boxes');
  insert into ind1950 values (458, 'Misc paper and pulp products');
  insert into ind1950 values (459, 'Printing, publishing, and allied industries');
  insert into ind1950 values (466, 'Synthetic fibers');
  insert into ind1950 values (467, 'Drugs and medicines');
  insert into ind1950 values (468, 'Paints, varnishes, and related products');
  insert into ind1950 values (469, 'Misc chemicals and allied products');
  insert into ind1950 values (476, 'Petroleum refining');
  insert into ind1950 values (477, 'Misc petroleum and coal products');
  insert into ind1950 values (478, 'Rubber products');
  insert into ind1950 values (487, 'Leather: tanned, curried, and finished');
  insert into ind1950 values (488, 'Footwear, except rubber');
  insert into ind1950 values (489, 'Leather products, except footwear');
  insert into ind1950 values (499, 'Not specified manufacturing industries');
  insert into ind1950 values (506, 'Railroads and railway');
  insert into ind1950 values (516, 'Street railways and bus lines');
  insert into ind1950 values (526, 'Trucking service');
  insert into ind1950 values (527, 'Warehousing and storage');
  insert into ind1950 values (536, 'Taxicab service');
  insert into ind1950 values (546, 'Water transportation');
  insert into ind1950 values (556, 'Air transportation');
  insert into ind1950 values (567, 'Petroleum and gasoline pipe lines');
  insert into ind1950 values (568, 'Services incidental to transportation');
  insert into ind1950 values (578, 'Telephone');
  insert into ind1950 values (579, 'Telegraph');
  insert into ind1950 values (586, 'Electric light and power');
  insert into ind1950 values (587, 'Gas and steam supply systems');
  insert into ind1950 values (588, 'Electric-gas utilities');
  insert into ind1950 values (596, 'Water supply');
  insert into ind1950 values (597, 'Sanitary services');
  insert into ind1950 values (598, 'Other and not specified utilities');
  insert into ind1950 values (606, 'Motor vehicles and equipment');
  insert into ind1950 values (607, 'Drugs, chemicals, and allied products');
  insert into ind1950 values (608, 'Dry goods apparel');
  insert into ind1950 values (609, 'Food and related products');
  insert into ind1950 values (616, 'Electrical goods, hardware, and plumbing equipment');
  insert into ind1950 values (617, 'Machinery, equipment, and supplies');
  insert into ind1950 values (618, 'Petroleum products');
  insert into ind1950 values (619, 'Farm prods--raw materials');
  insert into ind1950 values (626, 'Misc wholesale trade');
  insert into ind1950 values (627, 'Not specified wholesale trade');
  insert into ind1950 values (636, 'Food stores, except dairy');
  insert into ind1950 values (637, 'Dairy prods stores and milk retailing');
  insert into ind1950 values (646, 'General merchandise');
  insert into ind1950 values (647, 'Five and ten cent stores');
  insert into ind1950 values (656, 'Apparel and accessories stores, except shoe');
  insert into ind1950 values (657, 'Shoe stores');
  insert into ind1950 values (658, 'Furniture and house furnishings stores');
  insert into ind1950 values (659, 'Household appliance and radio stores');
  insert into ind1950 values (667, 'Motor vehicles and accessories retailing');
  insert into ind1950 values (668, 'Gasoline service stations');
  insert into ind1950 values (669, 'Drug stores');
  insert into ind1950 values (679, 'Eating and drinking  places');
  insert into ind1950 values (686, 'Hardware and farm implement stores');
  insert into ind1950 values (687, 'Lumber and building material retailing');
  insert into ind1950 values (688, 'Liquor stores');
  insert into ind1950 values (689, 'Retail florists');
  insert into ind1950 values (696, 'Jewelry stores');
  insert into ind1950 values (697, 'Fuel and ice retailing');
  insert into ind1950 values (698, 'Misc retail stores');
  insert into ind1950 values (699, 'Not specified retail trade');
  insert into ind1950 values (716, 'Banking and credit');
  insert into ind1950 values (726, 'Security and commodity brokerage and invest companies');
  insert into ind1950 values (736, 'Insurance');
  insert into ind1950 values (746, 'Real estate');
  insert into ind1950 values (756, 'Real estate-insurance-law  offices');
  insert into ind1950 values (806, 'Advertising');
  insert into ind1950 values (807, 'Accounting, auditing, and bookkeeping services');
  insert into ind1950 values (808, 'Misc business services');
  insert into ind1950 values (816, 'Auto repair services and garages');
  insert into ind1950 values (817, 'Misc repair services');
  insert into ind1950 values (826, 'Private households');
  insert into ind1950 values (836, 'Hotels and lodging places');
  insert into ind1950 values (846, 'Laundering, cleaning, and dyeing');
  insert into ind1950 values (847, 'Dressmaking shops');
  insert into ind1950 values (848, 'Shoe repair shops');
  insert into ind1950 values (849, 'Misc personal services');
  insert into ind1950 values (856, 'Radio broadcasting and television');
  insert into ind1950 values (857, 'Theaters and motion pictures');
  insert into ind1950 values (858, 'Bowling alleys, and billiard and pool parlors');
  insert into ind1950 values (859, 'Misc entertainment and recreation services');
  insert into ind1950 values (868, 'Medical and other health services, except hospitals');
  insert into ind1950 values (869, 'Hospitals');
  insert into ind1950 values (879, 'Legal services');
  insert into ind1950 values (888, 'Educational services');
  insert into ind1950 values (896, 'Welfare and religious services');
  insert into ind1950 values (897, 'Nonprofit membership organizs');
  insert into ind1950 values (898, 'Engineering and architectural services');
  insert into ind1950 values (899, 'Misc professional and related');
  insert into ind1950 values (906, 'Postal service');
  insert into ind1950 values (916, 'Federal public administration');
  insert into ind1950 values (926, 'State public administration');
  insert into ind1950 values (936, 'Local public administration');
  insert into ind1950 values (997, 'Not classifiable');
  insert into ind1950 values (998, 'Industry not reported');
 
-- 'Class of worker--general'
create table classwkg (ID integer primary key, DESCRIPTION char(64) not null);
  insert into classwkg values (0, 'N/A');
  insert into classwkg values (1, 'Self-employed');
  insert into classwkg values (2, 'Works for wages/salary');
  insert into classwkg values (3, 'New worker');
  insert into classwkg values (4, 'Unemployed, last worked 5 years ago');

-- 'Weeks worked last year, intervalled'
create table wkswork2 (ID integer primary key, DESCRIPTION char(64) not null);
  insert into wkswork2 values (0, 'N/A');
  insert into wkswork2 values (1, '1-13 weeks');
  insert into wkswork2 values (2, '14-26 weeks');
  insert into wkswork2 values (3, '27-39 weeks');
  insert into wkswork2 values (4, '40-47 weeks');
  insert into wkswork2 values (5, '48-49 weeks');
  insert into wkswork2 values (6, '50-52 weeks');
 
-- 'Hours work last week, intervalled'
create table hrswork2 (ID integer primary key, DESCRIPTION char(64) not null); 
  insert into hrswork2 values (0, 'N/A');
  insert into hrswork2 values (1, '1-14 hours');
  insert into hrswork2 values (2, '15-29 hours');
  insert into hrswork2 values (3, '30-34 hours');
  insert into hrswork2 values (4, '35-39 hours');
  insert into hrswork2 values (5, '40 hours');
  insert into hrswork2 values (6, '41-48 hours');
  insert into hrswork2 values (7, '49-59 hours');
  insert into hrswork2 values (8, '60+ hours');
 
-- 'Year last worked'
create table yrlastwk (ID integer primary key, DESCRIPTION char(64) not null);
  insert into yrlastwk values (0, 'N/A');
  insert into yrlastwk values (10, 'Worked current yr');
  insert into yrlastwk values (20, 'Worked previous yr');
  insert into yrlastwk values (31, 'Worked 2 yrs prior');
  insert into yrlastwk values (32, 'Worked 2-5 yrs ago');
  insert into yrlastwk values (33, 'Worked 3-5 yrs ago');
  insert into yrlastwk values (34, 'Worked 3-6 yrs ago');
  insert into yrlastwk values (35, 'Worked 6-10 yrs ago');
  insert into yrlastwk values (36, 'Worked 7-10 yrs ago');
  insert into yrlastwk values (40, 'Worked more than 10 yrs ago');
  insert into yrlastwk values (50, 'Never worked');
 
-- 'Worked last year'
create table workedyr (ID integer primary key, DESCRIPTION char(64) not null);
  insert into workedyr values (0, 'N/A');
  insert into workedyr values (1, 'No');
  insert into workedyr values (2, 'Yes');

-- 'Migration status, 5 yrs--general'
create table migrat5g (ID integer primary key, DESCRIPTION char(64) not null);	
  insert into migrat5g values (0, 'N/A');
  insert into migrat5g values (1, 'Same house');
  insert into migrat5g values (2, 'Moved, place not reported');
  insert into migrat5g values (3, 'Same state/county,different house');
  insert into migrat5g values (4, 'Same state, different county');
  insert into migrat5g values (5, 'Different state');
  insert into migrat5g values (6, 'Abroad');
  insert into migrat5g values (7, 'Same state, place not reported');
  insert into migrat5g values (9, 'Unknown');
 
-- 'State/country resid 5 yrs ago'
create table migplac5 (ID integer primary key, DESCRIPTION char(64) not null);	
  insert into migplac5 values (0, 'N/A');
  insert into migplac5 values (1, 'Alabama');
  insert into migplac5 values (2, 'Alaska');
  insert into migplac5 values (4, 'Arizona');
  insert into migplac5 values (5, 'Arkansas');
  insert into migplac5 values (6, 'California');
  insert into migplac5 values (8, 'Colorado');
  insert into migplac5 values (9, 'Connecticut');
  insert into migplac5 values (10, 'Delaware');
  insert into migplac5 values (11, 'District of Columbia');
  insert into migplac5 values (12, 'Florida');
  insert into migplac5 values (13, 'Georgia');
  insert into migplac5 values (15, 'Hawaii');
  insert into migplac5 values (16, 'Idaho');
  insert into migplac5 values (17, 'Illinois');
  insert into migplac5 values (18, 'Indiana');
  insert into migplac5 values (19, 'Iowa');
  insert into migplac5 values (20, 'Kansas');
  insert into migplac5 values (21, 'Kentucky');
  insert into migplac5 values (22, 'Louisiana');
  insert into migplac5 values (23, 'Maine');
  insert into migplac5 values (24, 'Maryland');
  insert into migplac5 values (25, 'Massachusetts');
  insert into migplac5 values (26, 'Michigan');
  insert into migplac5 values (27, 'Minnesota');
  insert into migplac5 values (28, 'Mississippi');
  insert into migplac5 values (29, 'Missouri');
  insert into migplac5 values (30, 'Montana');
  insert into migplac5 values (31, 'Nebraska');
  insert into migplac5 values (32, 'Nevada');
  insert into migplac5 values (33, 'New Hampshire');
  insert into migplac5 values (34, 'New Jersey');
  insert into migplac5 values (35, 'New Mexico');
  insert into migplac5 values (36, 'New York');
  insert into migplac5 values (37, 'North Carolina');
  insert into migplac5 values (38, 'North Dakota');
  insert into migplac5 values (39, 'Ohio');
  insert into migplac5 values (40, 'Oklahoma');
  insert into migplac5 values (41, 'Oregon');
  insert into migplac5 values (42, 'Pennsylvania');
  insert into migplac5 values (44, 'Rhode Island');
  insert into migplac5 values (45, 'South Carolina');
  insert into migplac5 values (46, 'South Dakota');
  insert into migplac5 values (47, 'Tennessee');
  insert into migplac5 values (48, 'Texas');
  insert into migplac5 values (49, 'Utah');
  insert into migplac5 values (50, 'Vermont');
  insert into migplac5 values (51, 'Virginia');
  insert into migplac5 values (53, 'Washington');
  insert into migplac5 values (54, 'West Virginia');
  insert into migplac5 values (55, 'Wisconsin');
  insert into migplac5 values (56, 'Wyoming');
  insert into migplac5 values (61, 'State group (1980): Maine-New Hamp-Vermont');
  insert into migplac5 values (62, 'State group (1980): Massachusetts-Rhode Island');
  insert into migplac5 values (63, 'State group (1980): Minn-Iowa-Missouri-Kansas-Nebras');
  insert into migplac5 values (64, 'State group (1980): Maryland-Delaware');
  insert into migplac5 values (65, 'State group (1980): Montana-Idaho-Wyoming');
  insert into migplac5 values (66, 'State group (1980): Utah-Nevada');
  insert into migplac5 values (67, 'State group (1980): Arizona-New Mexico');
  insert into migplac5 values (68, 'State group (1980): Alaska-Hawaii');
  insert into migplac5 values (99, 'United States, ns or confidential');
  insert into migplac5 values (100, 'American Samoa');
  insert into migplac5 values (105, 'Guam');
  insert into migplac5 values (110, 'Puerto Rico');
  insert into migplac5 values (115, 'Virgin Islands');
  insert into migplac5 values (119, 'US outlying area, 1980');
  insert into migplac5 values (150, 'Canada');
  insert into migplac5 values (151, 'English Canada');
  insert into migplac5 values (152, 'French Canada');
  insert into migplac5 values (160, 'Atlantic Islands');
  insert into migplac5 values (200, 'Mexico');
  insert into migplac5 values (211, 'Belize/British Honduras');
  insert into migplac5 values (212, 'Costa Rica');
  insert into migplac5 values (213, 'El Salvador');
  insert into migplac5 values (214, 'Guatemala');
  insert into migplac5 values (215, 'Honduras');
  insert into migplac5 values (216, 'Nicaragua');
  insert into migplac5 values (217, 'Panama');
  insert into migplac5 values (218, 'Canal Zone');
  insert into migplac5 values (219, 'Central America, nec');
  insert into migplac5 values (250, 'Cuba');
  insert into migplac5 values (261, 'Dominican Republic');
  insert into migplac5 values (262, 'Haiti');
  insert into migplac5 values (263, 'Jamaica');
  insert into migplac5 values (264, 'British West Indies');
  insert into migplac5 values (266, 'Trinidad & Tobago');
  insert into migplac5 values (267, 'Other West Indies');
  insert into migplac5 values (305, 'Argentina');
  insert into migplac5 values (310, 'Bolivia');
  insert into migplac5 values (315, 'Brazil');
  insert into migplac5 values (320, 'Chile');
  insert into migplac5 values (325, 'Colombia');
  insert into migplac5 values (330, 'Ecuador');
  insert into migplac5 values (345, 'Paraguay');
  insert into migplac5 values (350, 'Peru');
  insert into migplac5 values (360, 'Uruguay');
  insert into migplac5 values (365, 'Venezuela');
  insert into migplac5 values (390, 'South America, nec');
  insert into migplac5 values (400, 'Denmark');
  insert into migplac5 values (402, 'Finland');
  insert into migplac5 values (403, 'Iceland');
  insert into migplac5 values (404, 'Ireland');
  insert into migplac5 values (406, 'Norway');
  insert into migplac5 values (409, 'Sweden');
  insert into migplac5 values (410, 'England');
  insert into migplac5 values (413, 'Northern Ireland');
  insert into migplac5 values (415, 'Scotland');
  insert into migplac5 values (416, 'Wales');
  insert into migplac5 values (420, 'Austria');
  insert into migplac5 values (421, 'Belgium');
  insert into migplac5 values (422, 'France');
  insert into migplac5 values (424, 'Luxembourg');
  insert into migplac5 values (426, 'Netherlands');
  insert into migplac5 values (427, 'Switzerland');
  insert into migplac5 values (430, 'Albania');
  insert into migplac5 values (433, 'Greece');
  insert into migplac5 values (435, 'Italy');
  insert into migplac5 values (437, 'Portugal');
  insert into migplac5 values (438, 'Azores');
  insert into migplac5 values (441, 'Spain');
  insert into migplac5 values (450, 'Czechoslovakia');
  insert into migplac5 values (453, 'Germany');
  insert into migplac5 values (456, 'Hungary');
  insert into migplac5 values (457, 'Poland');
  insert into migplac5 values (460, 'Yugoslavia');
  insert into migplac5 values (470, 'Bulgaria');
  insert into migplac5 values (471, 'Romania');
  insert into migplac5 values (489, 'Europe, nec');
  insert into migplac5 values (490, 'Estonia');
  insert into migplac5 values (491, 'Latvia');
  insert into migplac5 values (492, 'Lithuania');
  insert into migplac5 values (495, 'USSR');
  insert into migplac5 values (496, 'Byelorussia');
  insert into migplac5 values (498, 'Ukraine');
  insert into migplac5 values (500, 'China');
  insert into migplac5 values (504, 'Japan');
  insert into migplac5 values (506, 'Korea');
  insert into migplac5 values (515, 'Philippines');
  insert into migplac5 values (518, 'Vietnam');
  insert into migplac5 values (521, 'India');
  insert into migplac5 values (525, 'Pakistan');
  insert into migplac5 values (527, 'Iran');
  insert into migplac5 values (535, 'Israel/Palestine');
  insert into migplac5 values (539, 'Jordan');
  insert into migplac5 values (541, 'Lebanon');
  insert into migplac5 values (545, 'Syria');
  insert into migplac5 values (546, 'Turkey');
  insert into migplac5 values (559, 'Southwest Asia, nec');
  insert into migplac5 values (590, 'Asia, nec');
  insert into migplac5 values (600, 'Africa');
  insert into migplac5 values (610, 'Northern Africa');
  insert into migplac5 values (612, 'Egypt/United Arab Rep');
  insert into migplac5 values (670, 'Central Africa');
  insert into migplac5 values (690, 'Southern Africa');
  insert into migplac5 values (694, 'South Africa (Union of)');
  insert into migplac5 values (699, 'Africa, nec');
  insert into migplac5 values (701, 'Australia');
  insert into migplac5 values (702, 'New Zealand');
  insert into migplac5 values (710, 'Pacific Islands');
  insert into migplac5 values (715, 'US Pacific Trust Terrs');
  insert into migplac5 values (900, 'Abroad (unknown) or at sea');
  insert into migplac5 values (911, 'Abroad, ns');
  insert into migplac5 values (912, 'Abroad, at sea');
  insert into migplac5 values (990, 'Same house');
  insert into migplac5 values (997, 'Undocumented value');
  insert into migplac5 values (999, 'Missing/unknown');
 
-- 'Veteran status'
create table vetstat (ID integer primary key, DESCRIPTION char(64) not null);
  insert into vetstat values (0, 'N/A');
  insert into vetstat values (1, 'No Service');
  insert into vetstat values (2, 'Yes');
  insert into vetstat values (9, 'Not ascertained');
 
-- 'Means of transport to work'
create table tranwork (ID integer primary key, DESCRIPTION char(64) not null);
  insert into tranwork values (00, 'N/A (+ not reported 1960)');
  insert into tranwork values (10, 'Auto, truck, or van');
  insert into tranwork values (11, 'Auto');
  insert into tranwork values (12, 'Driver');
  insert into tranwork values (13, 'Passenger');
  insert into tranwork values (14, 'Truck');
  insert into tranwork values (15, 'Van');
  insert into tranwork values (20, 'Motorcycle');
  insert into tranwork values (30, 'Bus or streetcar');
  insert into tranwork values (31, 'Bus or trolley bus');
  insert into tranwork values (32, 'Streetcar or trolley car');
  insert into tranwork values (33, 'Subway or elevated');
  insert into tranwork values (34, 'Railroad');
  insert into tranwork values (35, 'Taxicab');
  insert into tranwork values (36, 'Ferryboat');
  insert into tranwork values (40, 'Bicycle');
  insert into tranwork values (50, 'Walked only');
  insert into tranwork values (60, 'Other');
  insert into tranwork values (70, 'Worked at home');
